Distribution: Qddb 2.0 (COMMERCIAL)
Summary: Qddb Database Suite
Vendor: Herrin Software Development, Inc.
Name: qddb
Version: 2.0
Release: 1
Icon: qddb.gif
Copyright: GPL
Group: Applications/Databases

%description
Qddb Database Suite

%prep

%pre
locallib=`grep '^/usr/local/lib$' /etc/ld.so.conf`
if test "x$locallib" = "x"; then
cat >> /etc/ld.so.conf <<EOF
/usr/local/lib
EOF
fi
/sbin/ldconfig

%post
/sbin/ldconfig

%preun
/sbin/ldconfig

%postun
/sbin/ldconfig

%install
ln -sf /usr/local/bin/qwish /usr/local/bin/qddb_wish
ln -sf /usr/local/bin/qtclsh /usr/local/bin/qddb_tclsh

%files
%doc README LICENSE
/usr/local/lib/qddb
/usr/local/bin/nxqddb
/usr/local/bin/qddbscript
/usr/local/bin/qwish
/usr/local/bin/qtclsh
/usr/local/bin/qadd
/usr/local/bin/qcat
/usr/local/bin/qchange
/usr/local/bin/qdel
/usr/local/bin/qedit
/usr/local/bin/qindex
/usr/local/bin/qkeys
/usr/local/bin/qnewdb
/usr/local/bin/qpath
/usr/local/bin/qread
/usr/local/bin/qs
/usr/local/bin/qstab
/usr/local/bin/qstall
/usr/local/bin/query
/usr/local/bin/qnum
/usr/local/bin/qprschema
/usr/local/bin/qprvals
/usr/local/lib/libqddb.so.1
/usr/local/lib/libqddb.so
/usr/local/lib/libqddb-tcl.so.1
/usr/local/lib/libqddb-tcl.so
/usr/local/lib/libqddb-itcl.so.1
/usr/local/lib/libqddb-itcl.so
/usr/local/lib/libqddb-tk.so.1
/usr/local/lib/libqddb-tk.so
/usr/local/man/man1/nxqddb.1
/usr/local/man/man1/qddbscript.1
/usr/local/man/man1/qadd.1
/usr/local/man/man1/qchange.1
/usr/local/man/man1/qddb_tclsh.1
/usr/local/man/man1/qddb_wish.1
/usr/local/man/man1/qdel.1
/usr/local/man/man1/qedit.1
/usr/local/man/man1/qindex.1
/usr/local/man/man1/qkeys.1
/usr/local/man/man1/qnewdb.1
/usr/local/man/man1/qprschema.1
/usr/local/man/man1/qread.1
/usr/local/man/man1/qs.1
/usr/local/man/man1/qstab.1
/usr/local/man/man1/qstall.1
/usr/local/man/man1/query.1
/usr/local/man/man5/Schema.5
/usr/local/man/mann/Fx.n
/usr/local/man/mann/Fx_Entry.n
/usr/local/man/mann/Fx_Frame.n
/usr/local/man/mann/Fx_Menubar.n
/usr/local/man/mann/Fx_Print.n
/usr/local/man/mann/Fx_QddbSearchParser.n
/usr/local/man/mann/Hx.n
/usr/local/man/mann/qddb_instance.n
/usr/local/man/mann/qddb_keylist.n
/usr/local/man/mann/qddb_rows.n
/usr/local/man/mann/qddb_schema.n
/usr/local/man/mann/qddb_script.n
/usr/local/man/mann/qddb_search.n
/usr/local/man/mann/qddb_table.n
/usr/local/man/mann/qddb_tuple.n
/usr/local/man/mann/qddb_util.n
/usr/local/man/mann/qddb_view.n
