
/* $RCSfile: Qddb_Conversion.h,v $ $Revision: 2.1 $ $Date: 2003/03/23 17:16:14 $
 *
 * Copyright (C) 1997-2000 Herrin Software Development, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#if !defined(_QDDB_CONVERSION_H_)
#define _QDDB_CONVERSION_H_

/* Various ENTRYTYPEs:
 *	INTERNAL	: 
 *	EXTERNAL	:
 *	READABLE	:
 *	TCLVALUE	:
 *	TCLEXTERNAL	:
 *	DATATREE	:
 */
#define QDDB_ENTRYTYPES			0x000000ff
#define QDDB_ENTRYTYPE_INTERNAL		0x00000001
#define QDDB_ENTRYTYPE_EXTERNAL		0x00000002
#define QDDB_ENTRYTYPE_READABLE		0x00000004
#define QDDB_ENTRYTYPE_TCLVALUE		0x00000008
#define QDDB_ENTRYTYPE_TCLEXTERNAL 	0x00000010
#define QDDB_ENTRYTYPE_DATATREE		0x00000020

/* TYPE bits not used */
#define QDDB_RESERVEDTYPES		0xffffff00

void *Qddb_Convert _ANSI_ARGS_((Qddb_Schema *, int, CONST void *, int));

#endif

