# $RCSfile: hx_init.tcl,v $ $Revision: 2.0.0.1 $ $Date: 2000/11/09 15:05:58 $
#
# Copyright (C) 1997-2000 Herrin Software Development, Inc.
# All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.




proc Hx:Init {s} {
    global hx_config
    uplevel \#0 {
	if {![info exists env(REQUEST_METHOD)]} {
	    exit 0
	}
	if {![info exists env(QUERY_STRING)]} {
	    set env(QUERY_STRING) ""
	}
	if {![info exists env(REMOTE_IDENT)]} {
	    set env(REMOTE_IDENT) ""
	}
	if {![info exists env(REMOTE_HOST)]} {
	    set env(REMOTE_HOST) ""
	}
    }
    foreach i [qddb_schema leaves $s] {
	set hx_config(\$range_search\$,$i) 1
	set hx_config(\$regexp_search\$,$i) 1
	set hx_config(\$numeric_search\$,$i) 1
	if {[string compare [qddb_schema option type $s $i] date] == 0} {
	    set hx_config(\$date_search\$,$i) 1
	}
    }
}