
/* $RCSfile: strtok.c,v $ $Revision: 2.0.0.1 $ $Date: 2000/11/09 15:06:03 $
 *
 * Copyright (C) 1993-2000 Herrin Software Development, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */



#if !defined(HAVE_STRTOK)

#include "Qddb.h"

char *strtok(String, DelimitingString)
	char 			*String;
	register char 		*DelimitingString;
{
	static char 		*Where = NULL;
	char 			*Token;
	register char 		*ScanFirst, *ScanDelimited;

	if (String == NULL && Where == NULL)
		return NULL;
	if (String != NULL)
		ScanFirst = String;
	else
		ScanFirst = Where;
	while (*ScanFirst != '\0') {
		for (ScanDelimited = DelimitingString; *ScanDelimited != '\0'; 
		     ScanDelimited++)
			if (*ScanFirst == *ScanDelimited)
				break;
		if (*ScanDelimited == '\0')
			break;
		 ScanFirst++;
	}
	if (*ScanFirst == '\0') {
		Where = NULL;
		return NULL;
	}
	Token = ScanFirst;
	while (*ScanFirst != '\0') {
		for (ScanDelimited = DelimitingString; *ScanDelimited != '\0';)
			if (*ScanFirst == *ScanDelimited++) {
				Where = ScanFirst+1;
				*ScanFirst = '\0';
				return Token;
			}
		ScanFirst++;
	}
	Where = NULL;
	return Token;
}
#endif
