#!/bin/sh
#
# $RCSfile: newdb.sh,v $ $Revision: 2.0.0.1 $ $Date: 2000/11/09 15:06:08 $
#
# Copyright (C) 1993-2000 Herrin Software Development, Inc.
# All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

if [ $# -lt 1 ]
then
	echo Usage: $0 RelationsToCreate
	exit 1
fi
for i in $*
do
	if test -d $i ; then
		echo "Relation $i exists: remove it before running $0"
		exit 1
	fi
	mkdir $i
	mkdir $i/Additions
	mkdir $i/Changes
	cat /dev/null 	> $i/Database
	cat /dev/null 	> $i/Database.key
	cat /dev/null 	> $i/Index
	cat /dev/null 	> $i/KeyIndex
	cat /dev/null 	> $i/NumericIndex
	cat /dev/null 	> $i/HashTable
	cat /dev/null 	> $i/Schema
	echo 1 		> $i/Additions/NextEntry
done
echo "Remember to edit the Schema files for relations: "  $*
