#!QTCLSH
#
# Copyright (C) 1997-2001 Herrin Software Development, Inc.
# All rights reserved.
#
# This file is part of Qbib

if {$argc == 0} {
    puts "Usage: $argv0 <RelationName>"
    exit 1
} elseif {[string compare [string index [lindex $argv 0] 0] "-"] == 0} {
    puts "Usage: $argv0 RelationName"
    exit 1
} else {
    set bibname [lindex $argv 0]
}
if {[catch "exec qnewdb $bibname"] != 0} {
    puts "Qbib database \"$bibname\" creation failed!"
    exit 1
}
exec cp QBIB_LIBRARY_DIR/Schema $bibname/Schema
exec cp QBIB_LIBRARY_DIR/QddbScript $bibname/QddbScript
exec cp QBIB_LIBRARY_DIR/ExcludeWords $bibname/ExcludeWords
set fd [open ${bibname}/.qbib_nextentry w]
puts $fd "1"
close $fd
puts "Qbib database \"$bibname\" successfully created."
exit 0

