
/* $RCSfile: Qddb_Hash.h,v $ $Revision: 2.2 $ $Date: 2001/03/21 22:38:19 $
 *
 * Copyright (C) 1993-2001 Herrin Software Development, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#if !defined(_QDDB_HASH_H_)
#define _QDDB_HASH_H_

/* The following constants are critical to the
 * compatablity of older pre-stabilized databases
 * that use the default value.   Please do not
 * change these values.
 */
#define DEFAULT_HASHSIZE	20000
#define DEFAULT_CACHESIZE	100

#define HASHLINESIZE		44
#define BASE10_HASHLINESIZE     HASHLINESIZE
#define BASE62_HASHLINESIZE     28

#define QDDB_HASHTYPE_DEFAULT	0
#define QDDB_HASHTYPE_MOD1	1
#define QDDB_HASHTYPE_MOD2	2
#define QDDB_HASHTYPE_MOD3	3
#define QDDB_HASHTYPE_MOD4	4
#define QDDB_HASHTYPE_MOD5	5

typedef struct {
		size_t		index, num;
		off_t		pos;
		size_t		len;
} Qddb_Hash;

#endif
