
/* $RCSfile: Qddb_ReducedAttr.h,v $ $Revision: 2.0.0.1 $ $Date: 2000/11/09 15:05:57 $
 *
 * Copyright (C) 1997-2000 Herrin Software Development, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#if !defined(_QDDB_REDUCEDATTR_H_)
#define _QDDB_REDUCEDATTR_H_

void Qddb_InitReducedAttrTable _ANSI_ARGS_((Qddb_Schema *));
char *Qddb_AddToReducedAttrTable _ANSI_ARGS_((Qddb_Schema *, char *));
Qddb_ReducedAttrTable *Qddb_GetReducedAttrTable _ANSI_ARGS_((Qddb_Schema *));
Qddb_ReducedAttrTable *Qddb_ReadReducedAttrTable _ANSI_ARGS_((Qddb_Schema *));
int Qddb_WriteReducedAttrTable _ANSI_ARGS_((Qddb_Schema *));
char *Qddb_IndexToReducedAttr _ANSI_ARGS_((int));
int Qddb_ReducedAttrToIndex _ANSI_ARGS_((char *));
void Qddb_FreeReducedAttrTable _ANSI_ARGS_((void));
void Qddb_ReducedAttrToFullAttr _ANSI_ARGS_((Qddb_Schema *, Qddb_Entry));
void Qddb_FullAttrToReducedAttr _ANSI_ARGS_((Qddb_Schema *, Qddb_Entry));

#endif
