'\"
'\" Copyright (C) 1997-2001 Herrin Software Development, Inc.
'\" All rights reserved.
'\" 
'\" This program is free software; you can redistribute it and/or
'\" modify it under the terms of the GNU General Public License
'\" as published by the Free Software Foundation; either version 2
'\" of the License, or (at your option) any later version.
'\" 
'\" This program is distributed in the hope that it will be useful,
'\" but WITHOUT ANY WARRANTY; without even the implied warranty of
'\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'\" GNU General Public License for more details.
'\" 
'\" You should have received a copy of the GNU General Public License
'\" along with this program; if not, write to the Free Software
'\" Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
.TH qddb_import 1 "21 Oct 2000" "QDDB Reference Manual" "Herrin Software Development, Inc."
.DA 21 Oct 2000
.SH NAME
qddb_import \- Import various file formats to a Qddb table
.SH SYNOPSIS
.ft B
.nf
qddb_import csv <string>

.SH DESCRIPTION
\fIqddb_import\fR accepts a string in the given format, translates it
into Qddb internal format (including dates and numbers), and returns
a qddb_table descriptor containing the imported data.

.TP
\fIcsv\fR
imports a CSV format string where arbitrary strings are encapsulated
with double quotes ('"') and each field in a row is separated by
a comma.

.SH SEE ALSO
qddb_export(n), qddb_instance(n), qddb_keylist(n),  qddb_rows(n), 
qddb_script(n), qddb_search(n), qddb_schema(n), qddb_tuple(n), 
qddb_util(n), qddb_view(n)

.SH BUGS
None known.

