#!/usr/local/bin/qtclsh
set maxrow 2
set maxcol 4
set t1 [qddb_table define $maxrow $maxcol]
set t2 [qddb_table define $maxrow $maxcol]
set m [qddb_table define $maxrow $maxcol]

for {set j 1} {$j <= $maxcol} {incr j} {
	qddb_table col configure $t1 $j -type real
	qddb_table col configure $t2 $j -type real
	for {set i 1} {$i <= $maxrow} {incr i} {
		qddb_table cell setval $t1 $i $j [expr $i * $j]
		qddb_table cell setval $t2 $i $j [expr $i * $j * 1.2]
	}
}
qddb_table col configure $t2 4 -calc {
	@sum(@row(@thisrow))
}
puts [qddb_table getval $t2 -format text]
